<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
LogMessage Method (IEdmGetOpCallback)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmGetOpCallback Interface : LogMessage Method (IEdmGetOpCallback)

Visual Basic
C#
C++/CLI

eMsgID
  Message to display to the user as defined in EdmGetOpMsg

hCode
  Error code causing this method to be called

bsDetails
  Reason for calling this method

Notifies about an error that occurred during the process.

# Syntax

Visual Basic |
--- | ---

    Sub LogMessage( _
       ByVal eMsgID As EdmGetOpMsg, _
       ByVal hCode As System.Integer, _
       ByVal bsDetails As System.String _
    )

C# |
--- | ---

    void LogMessage(
       EdmGetOpMsg eMsgID,
       System.int hCode,
       System.string bsDetails
    )

C++/CLI |
--- | ---

    void LogMessage(
    &   EdmGetOpMsg eMsgID,
    &   System.int hCode,
    &   System.String^ bsDetails
    )

#### Parameters

eMsgID
  Message to display to the user as defined in EdmGetOpMsg
hCode
  Error code causing this method to be called
bsDetails
  Reason for calling this method

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmGetOpCallback Interface
IEdmGetOpCallback Members

# Availability

SOLIDWORKS PDM Professional Version 6.3